h1 {
	background: var(--active-list-color);
}

main {
	display: flex;
	flex-direction: column;
	align-items: center;
}

/* Sections */
h2 {
	margin: 0;
	padding: 0;
	font-size: 40px;
	font-weight: normal;
}

.list-section-title {
	width: 400px;
	margin: 60px 30px 30px 30px;
	padding: 10px;
	border: 1px solid rgba(255, 255, 255, 0.2);
	background: var(--active-list-color);
	-webkit-backdrop-filter: blur(12px);
	backdrop-filter: blur(12px);
	border-radius: 20px;
	font-size: 50px;
	text-align: center;
}

p, li {
	margin: 0;
	font-size: 18px;
}

.non-victor {
	list-style: circle;
}

ul {
	margin-top: 0;
}

hr {
	font-size: 5px;
}

.id {
	position: absolute;
	z-index: 3;
	top: 10px;
	right: 10px;
	margin: 0;
	opacity: 75%;
	font-size: 15px;
	transition: transform 0.2s ease;
}

.id:active {
	transform: scale(0.9);
}

.victors {
	margin-top: 20px;
}

/* Difficulty */
.difficulty {
	z-index: 2;
	transition: transform 0.5s ease;
}

.difficulty[rating="2"] {
	filter: drop-shadow(0 0 3px rgba(255, 255, 0, 0.5));
}

.difficulty[rating="3"] {
	filter: drop-shadow(0 0 10px rgba(255, 255, 0, 0.75));
}

.difficulty[rating="4"] {
	filter: drop-shadow(0 0 30px rgb(191, 64, 255));
}

.difficulty[rating="5"] {
	filter: drop-shadow(0 0 45px rgb(0, 255, 255));
}

.is2p {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	width: 45px;
	height: 45px;
	min-width: 45px;
	min-height: 45px;
	flex-shrink: 0;
	border: 1px solid rgba(255, 255, 255, 0.2);
	background: rgba(40, 167, 69, 0.75);
	backdrop-filter: blur(12px);
	border-radius: 50%;
	font-size: 20px;
	font-weight: bold;
	cursor: help;
}

.level-card {
	position: relative;
	display: flex;
	flex-direction: row;
	align-items: center;
	width: 1300px;
	margin: 20px auto;
	padding: 15px;
	border: 1px solid rgba(255, 255, 255, 0.2);
	background: var(--active-list-color);
	-webkit-backdrop-filter: blur(12px);
	backdrop-filter: blur(12px);
	border-radius: 20px;
	box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
	transition: transform 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
}

.level-card:hover {
	transform: translateY(-2px);
}

.thumbnail-wrapper {
	position: relative;
	width: 30%;
	min-width: 200px;
	flex-shrink: 0;
	aspect-ratio: 16 / 9;
	border: 1px solid white;
	overflow: hidden;
	border-radius: 12px;
	box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
}

.level-thumbnail {
	width: 100%;
	height: 100%;
	transition: transform 0.5s ease, filter 0.3s ease;
	object-fit: cover;
}

.play-button {
	position: absolute;
	z-index: 2;
	top: 50%;
	left: 50%;
	display: none;
	justify-content: center;
	align-items: center;
	width: 60px;
	height: 60px;
	border: 2px solid white;
	background: rgba(0, 0, 0, 0.75);
	filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.75));
	border-radius: 50%;
	font-size: 25px;
	color: white;
	transition: all 0.3s ease;
	transform: translate(-50%, -50%);
}

.level-info {
	display: flex;
	flex: 1;
	flex-direction: column;
	justify-content: center;
	padding-left: 30px;
}

.level-title {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 25px;
}

.main-info {
	display: flex;
	flex-direction: column;
	gap: 1px;
}

.title {
	white-space: pre-wrap;
	overflow-wrap: break-word;
	word-wrap: break-word;
	word-break: break-word;
}

.player-link {
	color: inherit;
	text-decoration: none;
}

/* Search */
.search-box {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
}

.list-controls {
	display: flex;
	flex-direction: column;
	padding: 15px;
	border: 1px solid rgba(255, 255, 255, 0.2);
	background: var(--active-list-color);
	-webkit-backdrop-filter: blur(12px);
	backdrop-filter: blur(12px);
	border-radius: 20px;
}

#level-search, #level-sort, #search-button, #clear-button {
	height: 35px;
	margin: 5px;
	border: 2px solid transparent;
	overflow: hidden;
	border-radius: 10px;
	padding-left: 10px;
	outline: none;
}

#level-search {
	width: 250px;
}

#level-sort {
	cursor: pointer;
}

#search-button, #clear-button {
	width: 35px;
	padding: 0;
	background: white;
	border-radius: 50%;
	cursor: pointer;
	transition: all 0.5s;
}

#search-button:hover {
	background: rgb(245, 245, 245);
}

.no-results {
	display: flex;
	margin: 30px;
	padding: 15px;
	border: 1px solid rgba(255, 255, 255, 0.2);
	-webkit-backdrop-filter: blur(12px);
	backdrop-filter: blur(12px);
	border-radius: 20px;
	font-size: 40px;
	font-weight: bold;
}

/* Mobile */
@media (max-width: 768px) {
	h1 {
		font-size: 60px;
	}

	h2 {
		font-size: 30px;
	}

	.level-card {
		flex-direction: column;
		max-width: 350px;
	}

	.thumbnail-wrapper {
		order: 2;
		width: 50%;
		margin-top: 10px;
	}

	.play-button {
		width: 45px;
		height: 45px;
	}

	.level-info {
		order: 1;
		width: 100%;
		padding-left: 0;
	}

	.level-card p, .level-card li {
		font-size: 17px;
	}

	.difficulty {
		width: 100px;
		height: 100px;
	}

	.list-section-title {
		width: 300px;
		font-size: 35px;
	}
}
